(function() {
  'use strict';

  var loadedAt = Date.now();
  var board1, board2;


  var results = {
    'intelligent': 4.5,
    'hardworking': 4
  };

  var GRAPH_COLOR = '#4056A6';
  var GRAPH_COLOR_2 = '#FF0000';
  var STROKE_COLOR = '#6d6d6d';
  var TEXT_COLOR = 'rgb(102,102,102)';


  var BOTTOM_BORDER = 369;
  var TOP_BORDER = 31;
  var WIDTH_OF_BAR = 85;

  // Update graph
  var updateGraph = function( data ) {
    Object.keys( coords ).forEach( function( key ){
      setBar( document.querySelector( 'polygon.' + key ), coords[key], data[key] );
      setText( document.querySelector( '.text_labels_y.' + key ), data[key] );
    } );
  };

  var setText = function( node, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    node.textContent = value.toFixed(2);
    node.style.top = ( BOTTOM_BORDER - height ) - 22;
  };

  var setBar = function( node, coord, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    var points = [ coord + ',' + BOTTOM_BORDER,
      coord + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + BOTTOM_BORDER ];

    node.setAttribute( 'points', points.join(' ') );
  };

//  // Update graph
//  var updateGraph = function( node, max, data ) {
//    var board = ( node === 'G2Dbox1') ? board1 : board2;
//    var answers;
//    if( data ) {
//      answers = data;
//    } else {
//      answers = results;
//    }
//    var axisX, axisY;
//
//    if ( board ) {
//      G2D.G2DGraph.freeBoard( board );
//    }
//
//    // Init graph
//    board = G2D.G2DGraph.initBoard( node, { boundingbox: [-0.22, max, 3, -0.5], showCopyright: false, showNavigation: true } );
//    board.suspendUpdate();
//
//    var f = [];
//    // Create axis
//    axisY = board.createElement( 'line', [
//      [0, 0],
//      [0, 1]
//    ], { fixed: true, strokeColor: 'white', strokeWidth: 0, highlight: false } );
//    axisX = board.createElement( 'line', [
//      [0, 0],
//      [1, 0]
//    ], { fixed: true, strokeColor: STROKE_COLOR, strokeWidth: 1, highlight: false } );
//
//    // Create ticks
//    board.create( 'ticks', [axisY], { fixed: true, opacity: 0.5, minorTicks: 0, ticksDistance: 1, majorHeight: 6, drawLabels: false, highlight: false, tickEndings: [0, 250], strokeWidth: 1, strokeColor: STROKE_COLOR } );
//
//
//    Object.keys( answers ).forEach( function( key, i ) {
//      f.push( answers[key ] );
//      board.create( 'text', [i + 1, 0, key], { fixed: true, highlight: false, highlightCssClass: "text_labels", cssClass: "text_labels", anchorX: "middle", color: TEXT_COLOR, fontSize: 14 } );
//    } );
//
//
//    for ( var k = 0; k < f.length; k++ ) {
//      board.create( 'text', [k + 1, f[k] + 0.3, f[k]], { fixed: true, highlight: false, highlightCssClass: "text_labels", cssClass: "text_labels_y", anchorX: "middle", color: TEXT_COLOR, fontSize: 14 } );
//    }
//
//    for ( var j = 0; j < 10; j++ ) {
//      board.create( 'text', [-0.12, j, j], { fixed: true, highlight: false, highlightCssClass: "text_labels", cssClass: "text_labels_y", anchorX: "middle", color: TEXT_COLOR, fontSize: 14 } );
//    }
//
//
//    // Create chart
//    board.createElement( 'chart', [f[0]], { fixed: true, chartStyle: 'bar', width: 0.6, color: GRAPH_COLOR, fillOpacity: 1 } );
//    board.createElement( 'chart', [0,f[1]], { fixed: true, chartStyle: 'bar', width: 0.6, color: GRAPH_COLOR_2, fillOpacity: 1 } );
//
//    board.unsuspendUpdate();
//  };

  function isBecomingVisible() {
    if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null && window.parent.player.experiment.lastUpdated > loadedAt ) {
      updateGraph( 'G2Dbox1',9.4, window.parent.player.experiment.results );
      $('.no-results' ).hide();
    }
  }

  if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null  ) {
    updateGraph( 'G2Dbox1',9.4, window.parent.player.experiment.results );
    $('.no-results' ).hide();
  }
  if(window.parent.sectionCondition === 1){
    $('.condition1' ).show();
  }
  else{
    $('.condition2' ).show();
  }
  //updateGraph( 'G2Dbox2', 9.4 );
  window.isBecomingVisible = isBecomingVisible;



})();