(function() {
  'use strict';
  $("[data-type='termref']").each(function(index, element) {
    // opening with a click event, as in the following line, doesn't work for queries;
    // in any case I think a "real" link is probably better anyway.
    // $(element).click(t.open_link).css("cursor", "pointer");
    var jq = $(element);
    jq.click(function() {
      parent.player.glossary.show_definition(this); });
  });

  var loadedAt = Date.now();
  var board1, board2;


  var coords = {
    'intelligent': 171,
    'hardworking': 358
  };

  var BOTTOM_BORDER = 380;
  var TOP_BORDER = -25;
  var WIDTH_OF_BAR = 112;

  // Update graph
  var updateGraph = function( data ) {
    Object.keys( coords ).forEach( function( key ){
      setBar( document.querySelector( 'polygon.' + key ), coords[key], data[key] );
      setText( document.querySelector( '.text_labels_y.' + key ), data[key] );
    } );
    var alt_text = '"Your results" Graph rating intelligent equals ' + data.intelligent + ', hardworking equals ' + data.hardworking;
    $('#result-aria-image').attr('alt', alt_text);
  };

  var setText = function( node, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    node.textContent = value;
    node.style.top = ( BOTTOM_BORDER - height ) - 22;
  };

  var setBar = function( node, coord, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    var points = [ coord + ',' + BOTTOM_BORDER,
      coord + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + BOTTOM_BORDER ];

    node.setAttribute( 'points', points.join(' ') );
  };

  function isBecomingVisible() {
    if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null && window.parent.player.experiment.lastUpdated > loadedAt ) {
      updateGraph( window.parent.player.experiment.results );
      $('.no-results' ).hide();
      $('#G2Dbox1' ).show();
    }

    if(window.parent.choiceStudent === 0){
      $('.condition1' ).show();
    }
    else if(window.parent.choiceStudent === 1){
      $('.condition2' ).show();
    }

  }


  window.isBecomingVisible = isBecomingVisible;



})();