(function() {
  'use strict';

  var loadedAt = Date.now();

  var coords = {
    'practice': 131,
    'unanimous': 273,
    'dissenter': 415
  };

  var BOTTOM_BORDER = 369;
  var TOP_BORDER = 31;
  var WIDTH_OF_BAR = 85;

  // Update graph
  var updateGraph = function( data ) {
    Object.keys( coords ).forEach( function( key ){
      setBar( document.querySelector( 'polygon.' + key ), coords[key], data[key] );
      setText( document.querySelector( '.text_labels_y.' + key ), data[key] );
    } );
    var alt_text = "Your results: graph rating practice equals " + data.practice + ", unanimous group equals " + data.unanimous + ", dissenter present equals " + data.dissenter;
    var content = $('#student-result-img').attr('alt', alt_text);

    content.value = alt_text;
  };

  var setText = function( node, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    node.textContent = value;
    node.style.top = ( BOTTOM_BORDER - height ) - 22;
  };

  var setBar = function( node, coord, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    var points = [ coord + ',' + BOTTOM_BORDER,
      coord + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + BOTTOM_BORDER ];

    node.setAttribute( 'points', points.join(' ') );
  };

  function isBecomingVisible() {
    if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null && window.parent.player.experiment.lastUpdated > loadedAt ) {
      updateGraph( window.parent.player.experiment.results );
      $('.no-results' ).hide();
      $('#G2Dbox' ).show();
    }
  }

  if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null  ) {
    updateGraph( window.parent.player.experiment.results );
    $('.no-results' ).hide();
    $('#G2Dbox' ).show();
  }

  window.isBecomingVisible = isBecomingVisible;
})();